## ros-one-cartesian-trajectory-controller 0.1.7-2jammy.20251023.1126

=== debian/changelog ===
ros-one-cartesian-trajectory-controller (0.1.7-2jammy.20251023.1126) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Stefan Scherzinger <scherzin@fzi.de>  Thu, 23 Oct 2025 11:26:25 +0000

ros-one-cartesian-trajectory-controller (0.1.7-0jammy) jammy; urgency=high

  * Move ik_solver header files to cartesian_trajectory_controller (#19 <https://github.com/UniversalRobots/Universal_Robots_ROS_controllers_cartesian/issues/19>)
  * Contributors: Felix Exner (fexner)

 -- Stefan Scherzinger <scherzin@fzi.de>  Mon, 29 Jul 2024 00:00:00 -0000

ros-one-cartesian-trajectory-controller (0.1.6-0jammy) jammy; urgency=high

  * Clean up package.xml files (#13 <https://github.com/UniversalRobots/Universal_Robots_ROS_controllers_cartesian/issues/13>)
  * Contributors: Felix Exner

 -- Stefan Scherzinger <scherzin@fzi.de>  Wed, 12 Jun 2024 00:00:00 -0000

ros-one-cartesian-trajectory-controller (0.1.5-0jammy) jammy; urgency=high



 -- Stefan Scherzinger <scherzin@fzi.de>  Thu, 02 Dec 2021 00:00:00 -0000

ros-one-cartesian-trajectory-controller (0.1.4-0jammy) jammy; urgency=high

  * Make control update open-loop without active action (#5 <https://github.com/UniversalRobots/Universal_Robots_ROS_controllers_cartesian/issues/5>)
  * Add websites to package.xml files
  * Update image paths of partner logos (#4 <https://github.com/UniversalRobots/Universal_Robots_ROS_controllers_cartesian/issues/4>)
  * Contributors: Felix Exner, Stefan Scherzinger

 -- Stefan Scherzinger <scherzin@fzi.de>  Thu, 05 Aug 2021 00:00:00 -0000

ros-one-cartesian-trajectory-controller (0.1.3-0jammy) jammy; urgency=high



 -- Stefan Scherzinger <scherzin@fzi.de>  Wed, 23 Jun 2021 00:00:00 -0000

ros-one-cartesian-trajectory-controller (0.1.2-0jammy) jammy; urgency=high



 -- Stefan Scherzinger <scherzin@fzi.de>  Tue, 15 Jun 2021 00:00:00 -0000

ros-one-cartesian-trajectory-controller (0.1.1-0jammy) jammy; urgency=high

  * Removed trailing whitespaces from README's
  * Contributors: Felix Exner

 -- Stefan Scherzinger <scherzin@fzi.de>  Tue, 15 Jun 2021 00:00:00 -0000

ros-one-cartesian-trajectory-controller (0.1.0-0jammy) jammy; urgency=high

  * Initial release
  * Contributors: Felix Exner, Stefan Scherzinger

 -- Stefan Scherzinger <scherzin@fzi.de>  Tue, 15 Jun 2021 00:00:00 -0000
