=== debian/control ===
Source: ros-one-cartesian-trajectory-controller
Section: misc
Priority: optional
Maintainer: Stefan Scherzinger <scherzin@fzi.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-cartesian-interface, ros-one-cartesian-trajectory-interpolation, ros-one-catkin, ros-one-controller-manager, ros-one-hardware-interface, ros-one-kdl-parser, ros-one-pluginlib, ros-one-roscpp, ros-one-rospy, ros-one-speed-scaling-interface
Homepage: http://wiki.ros.org/cartesian_trajectory_controller
Standards-Version: 3.9.2

Package: ros-one-cartesian-trajectory-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-cartesian-interface, ros-one-cartesian-trajectory-interpolation, ros-one-controller-interface, ros-one-controller-manager, ros-one-hardware-interface, ros-one-kdl-parser, ros-one-pluginlib, ros-one-roscpp, ros-one-rospy, ros-one-speed-scaling-interface
Description: A Cartesian trajectory controller with multiple hardware interface support
