## ros-one-cartesian-trajectory-controller 0.1.7-2jammy.20251207.2352

=== debian/changelog ===
ros-one-cartesian-trajectory-controller (0.1.7-2jammy.20251207.2352) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Stefan Scherzinger <scherzin@fzi.de>  Sun, 07 Dec 2025 23:52:58 +0000
