## ros-one-cartesian-trajectory-controller 0.1.7-2noble.20251208.1045

=== debian/changelog ===
ros-one-cartesian-trajectory-controller (0.1.7-2noble.20251208.1045) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Stefan Scherzinger <scherzin@fzi.de>  Mon, 08 Dec 2025 10:45:03 +0000
